> ## Documentation Index
> Fetch the complete documentation index at: https://docs.doshi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rewards

> Fetches a list of available rewards in the marketplace for the user's institution.



## OpenAPI

````yaml /client.json get /client/marketplace/rewards
openapi: 3.0.0
info:
  title: Doshi Client API
  version: 1.0.0
  description: API specification for Doshi client-facing services.
servers:
  - url: https://api.doshi.app
    description: Production server
  - url: https://sandbox.api.doshi.app
    description: Sandbox server
security:
  - BearerAuth: []
tags:
  - name: Academy
    description: Endpoints related to educational content like courses, lessons, and paths.
  - name: Auth
    description: Endpoints for user authentication and authorization.
  - name: Marketplace
    description: Endpoints for rewards and redemptions.
  - name: User
    description: Endpoints for user data.
  - name: Quests
    description: Endpoints for quest management.
paths:
  /client/marketplace/rewards:
    get:
      tags:
        - Marketplace
      summary: Get Rewards
      description: >-
        Fetches a list of available rewards in the marketplace for the user's
        institution.
      parameters:
        - $ref: '#/components/parameters/AccessTypeHeader'
      responses:
        '200':
          description: A list of rewards.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRewardsResponse'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    AccessTypeHeader:
      name: Access-Type
      in: header
      required: true
      schema:
        type: string
        enum:
          - client
      description: Must be set to 'client' for all API requests
  schemas:
    GetRewardsResponse:
      type: object
      properties:
        rewards:
          type: array
          items:
            $ref: '#/components/schemas/Reward'
        total:
          type: integer
      required:
        - rewards
        - total
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: true
      required:
        - code
        - message
    Reward:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        price:
          type: number
        type:
          type: string
        brand:
          type: string
        imageUrl:
          type: string
          format: uri
      required:
        - id
        - name
        - price
        - type
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication token (API Key) provided by Doshi. Your server's IP
        address must be whitelisted to use this API. Contact hello@doshi.app to
        whitelist your IPs.

````